Bug#486315: PTS: resets bug counts

View: New views
3 Messages — Rating Filter:   Alert me  

Bug#486315: PTS: resets bug counts

by Thijs Kinkhorst-4 :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Package: qa.debian.org

The bug counts for all packages in the PTS seem to be all-zeroes. My first
explanation for this is the current outage of a number of Debian machines.
However, I think it would be better if the PTS did not trash the old
information it has before it knows it downloaded new fresh information.


cheers,
Thijs




--
To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@...
with a subject of "unsubscribe". Trouble? Contact listmaster@...


Bug#486315: PTS: resets bug counts

by Filippo Giunchedi-2 :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

On Sun, Jun 15, 2008 at 11:23:51AM +0200, Thijs Kinkhorst wrote:
> Package: qa.debian.org
>
> The bug counts for all packages in the PTS seem to be all-zeroes. My first
> explanation for this is the current outage of a number of Debian machines.
> However, I think it would be better if the PTS did not trash the old
> information it has before it knows it downloaded new fresh information.

agreed, I just committed a fix to update_incoming.sh which should solve this
bug.

Index: update_incoming.sh
===================================================================
--- update_incoming.sh  (revision 1897)
+++ update_incoming.sh  (working copy)
@@ -28,9 +28,13 @@
     # the link)
     cp -a $2 $2.new || true
     # Beware that -N conflicts with -O (#88176, #202911)
-    wget -U pts -q -O $2.new $1 || \
-   echo "Downloading $1 failed, $2 is stale now"
-    mv $2.new $2
+    wget -U pts -q -O $2.new $1
+    if [ $? -gt 0 ]; then
+        echo "Downloading $1 failed, $2 is stale now"
+        rm -f $2.new
+    else
+        mv $2.new $2
+    fi
 }
 
filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

UNIX IS user friendly, it is just selective who his friends are.



--
To UNSUBSCRIBE, email to debian-qa-REQUEST@...
with a subject of "unsubscribe". Trouble? Contact listmaster@...


Bug#486315: marked as done (PTS: resets bug counts)

by Debian Bug Tracking System :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message


Your message dated Sun, 15 Jun 2008 18:37:05 +0200
with message-id <20080615163705.GC7887@...>
and subject line Re: Bug#486315: PTS: resets bug counts
has caused the Debian Bug report #486315,
regarding PTS: resets bug counts
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@...
immediately.)


--
486315: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=486315
Debian Bug Tracking System
Contact owner@... with problems

Package: qa.debian.org

The bug counts for all packages in the PTS seem to be all-zeroes. My first
explanation for this is the current outage of a number of Debian machines.
However, I think it would be better if the PTS did not trash the old
information it has before it knows it downloaded new fresh information.


cheers,
Thijs




On Sun, 15 Jun 2008, Filippo Giunchedi wrote:

> On Sun, Jun 15, 2008 at 11:23:51AM +0200, Thijs Kinkhorst wrote:
> > Package: qa.debian.org
> >
> > The bug counts for all packages in the PTS seem to be all-zeroes. My first
> > explanation for this is the current outage of a number of Debian machines.
> > However, I think it would be better if the PTS did not trash the old
> > information it has before it knows it downloaded new fresh information.
>
> agreed, I just committed a fix to update_incoming.sh which should solve this
> bug.
I confirm it's fixed. Closing now.

Cheers,
--
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/